Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.messaging
Interface IFieldGroup

All Known Subinterfaces:
  IMessage

    public interface IFieldGroup

Defines methods requred to manipulate with group of named values.

Method Summary
`IField` | `getField(String aName)` Returns the IField for the given name
`IField` | `getFirst()` Retuns the first IField in the group
`IField` | `getNext()` Returns the next IField in the group
`byte[]` | `getValueBytes(String aName)` Get byte value
`double` | `getValueDouble(String aName)` Obtains double number value from the group.
`int` | `getValueInt(String aName)` Obtains integer number value from the group.
`IFieldGroupList` | `getValueList(String aName)` Obtains list of field groups from the group.
`long` | `getValueLong(String aName)` Obtains long integer number value from the group.
`String` | `getValueString(String aName)` Obtains string number value from the group.
`void` | `putField(IField aField)`
`void` | `setValue(String aName, byte[] aValue)` Set byte value
`void` | `setValue(String aName, double aValue)` Updates/Inserts double number value within the group.
`void` | `setValue(String aName, IFieldGroupList aValue)` Updates/Inserts list of field groups as a value within the group.
`void` | `setValue(String aName, int aValue)` Updates/Inserts integer number value within the group.
`void` | `setValue(String aName, long aValue)` Updates/Inserts long integer number value within the group.
`void` | `setValue(String aName, String aValue)` Updates/Inserts string value within the group.

Method Detail

### getField

    IField getField(String aName)

  Returns the IField for the given name

  Parameters:
    `aName` -
  Returns:
    field

### getFirst

    IField getFirst()

  Retuns the first IField in the group

  Returns:
    field

### getNext

    IField getNext()

  Returns the next IField in the group

  Returns:
    field

### getValueDouble

    double getValueDouble(String aName)

  Obtains double number value from the group.

  Parameters:
    `aName` - field name
  Returns:
    field value, `0.00` when not present

### getValueInt

    int getValueInt(String aName)

  Obtains integer number value from the group.

  Parameters:
    `aName` - field name
  Returns:
    field value, `0.00` when not present

### getValueList

    IFieldGroupList getValueList(String aName)

  Obtains list of field groups from the group.

  Parameters:
    `aName` - list name
  Returns:
    `null` when not present

### getValueLong

    long getValueLong(String aName)

  Obtains long integer number value from the group.

  Parameters:
    `aName` - field name
  Returns:
    field value, `0.00` when not present

### getValueString

    String getValueString(String aName)

  Obtains string number value from the group.

  Parameters:
    `aName` - field name
  Returns:
    field value, `null` when not present

### putField

    void putField(IField aField)

  Parameters:
    `aField` -

### setValue

    void setValue(String aName,
                  String aValue)

  Updates/Inserts string value within the group.

  Parameters:
    `aName` - field name
    `aValue` - field value

### setValue

    void setValue(String aName,
                  IFieldGroupList aValue)

  Updates/Inserts list of field groups as a value within the group.

  Parameters:
    `aName` - list name
    `aValue` - list of field groups to setup

### setValue

    void setValue(String aName,
                  double aValue)

  Updates/Inserts double number value within the group.

  Parameters:
    `aName` - field name
    `aValue` - field value

### setValue

    void setValue(String aName,
                  int aValue)

  Updates/Inserts integer number value within the group.

  Parameters:
    `aName` - field name
    `aValue` - field value

### setValue

    void setValue(String aName,
                  long aValue)

  Updates/Inserts long integer number value within the group.

  Parameters:
    `aName` - field name
    `aValue` - field value

### setValue

    void setValue(String aName,
                  byte[] aValue)

  Set byte value

  Parameters:
    `aName` - name of the field
    `aValue` - byte value to set

### getValueBytes

    byte[] getValueBytes(String aName)

  Get byte value

  Parameters:
    `aName` - name of the field
  Returns:
    bytes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.